Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDTIMEUNITvalues

    java.lang.Object
      java.lang.Enum<CDTIMEUNITvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDTIMEUNITvalues

All Implemented Interfaces:
  Serializable, Comparable<CDTIMEUNITvalues>

    public enum CDTIMEUNITvalues

extends Enum<CDTIMEUNITvalues>

Java class for CD-TIMEUNITvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TIMEUNITvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="a"/>
         <enumeration value="mo"/>
         <enumeration value="wk"/>
         <enumeration value="d"/>
         <enumeration value="hr"/>
         <enumeration value="min"/>
         <enumeration value="s"/>
         <enumeration value="ms"/>
         <enumeration value="us"/>
         <enumeration value="ns"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`A`
`D`
`HR`
`MIN`
`MO`
`MS`
`NS`
`S`
`US`
`WK`

Method Summary
`static CDTIMEUNITvalues` | `fromValue(String v)`
`String` | `value()`
`static CDTIMEUNITvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDTIMEUNITvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### A

    public static final CDTIMEUNITvalues A

### MO

    public static final CDTIMEUNITvalues MO

### WK

    public static final CDTIMEUNITvalues WK

### D

    public static final CDTIMEUNITvalues D

### HR

    public static final CDTIMEUNITvalues HR

### MIN

    public static final CDTIMEUNITvalues MIN

### S

    public static final CDTIMEUNITvalues S

### MS

    public static final CDTIMEUNITvalues MS

### US

    public static final CDTIMEUNITvalues US

### NS

    public static final CDTIMEUNITvalues NS

Method Detail

### values

    public static CDTIMEUNITvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDTIMEUNITvalues c : CDTIMEUNITvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDTIMEUNITvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDTIMEUNITvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PHYSIOTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.